commit c74ebc5bae38786f1b1e10780b89e2cbac053fc5
Author: freddy77 <freddy77>
Date:   Sat Jan 9 19:05:07 2010 +0000

    More verbose

diff --git a/ChangeLog b/ChangeLog
index 9509afe..27352ac 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sat Jan  9 20:04:51 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/test64.c: More verbose
+
 Sat Jan  9 15:31:46 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/bcp.c: Ignore terminator pointer if terminator len <= 0
 
@@ -2067,4 +2070,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2927 2010/01/09 14:32:12 freddy77 Exp $
+$Id: ChangeLog,v 1.2928 2010/01/09 19:05:07 freddy77 Exp $
diff --git a/src/odbc/unittests/test64.c b/src/odbc/unittests/test64.c
index a7fdcb4..89b4623 100644
--- a/src/odbc/unittests/test64.c
+++ b/src/odbc/unittests/test64.c
@@ -1,7 +1,7 @@
 /* test win64 consistency */
 #include "common.h"
 
-static char software_version[] = "$Id: test64.c,v 1.8 2008/11/06 15:56:39 freddy77 Exp $";
+static char software_version[] = "$Id: test64.c,v 1.9 2010/01/09 19:05:07 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 /*
@@ -196,6 +196,8 @@ test_rows(void)
 
 	/* now see results */
 	for (p = row_set; ; ++p) {
+		const char *test_name = NULL;
+
 		ResetStatement();
 		len = 0xdeadbeef;
 		len <<= 16;
@@ -214,10 +216,12 @@ test_rows(void)
 
 			Command("SELECT DISTINCT i FROM #tmp1");
 			SQLFetch(Statement);
+			test_name = "SQLSetStmtAttr";
 		} else {
 			CHKSetStmtAttr(SQL_ROWSET_SIZE, (void *) int2ptr(ARRAY_SIZE), 0, "S");
 			Command("SELECT DISTINCT i FROM #tmp1");
 			CHKExtendedFetch(SQL_FETCH_NEXT, 0, &len, NULL, "S");
+			test_name = "SQLExtendedFetch";
 		}
 		SQLMoreResults(Statement);
 
@@ -226,7 +230,7 @@ test_rows(void)
 		h = len >> 16;
 		l &= 0xfffffffflu;
 		if (h != 0 || l != 2) {
-			fprintf(stderr, "Wrong number returned in rows high %lu(0x%lx) low %lu(0x%lx)\n", h, h, l, l);
+			fprintf(stderr, "Wrong number returned in rows high %lu(0x%lx) low %lu(0x%lx) test %s\n", h, h, l, l, test_name);
 			exit(1);
 		}
 
@@ -241,6 +245,11 @@ test_rows(void)
 int
 main(void)
 {
+	if (sizeof(SQLLEN) != 8) {
+		printf("Not possible for this platform.\n");
+		return 0;
+	}
+
 	use_odbc_version3 = 1;
 	Connect();
 

